package com.corecanarias.jboos6;

import javax.ejb.Local;
import javax.ejb.Stateless;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;

import org.jboss.ejb3.annotation.TransactionTimeout;

@Stateless
@Local(TestTransactionManagement.class)
@TransactionManagement(TransactionManagementType.BEAN)
@TransactionTimeout(value=10)
public class TestTransactionManagementImpl implements TestTransactionManagement {

	public String test(int timeout) {
		try {
			Thread.sleep(timeout);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		return "OK";
	}
}